<?php
 
 
 

namespace Google\Protobuf\Internal\FeatureSet;

use UnexpectedValueException;




class Utf8Validation
{
    


    const UTF8_VALIDATION_UNKNOWN = 0;
    


    const VERIFY = 2;
    


    const NONE = 3;

    private static $valueToName = [
        self::UTF8_VALIDATION_UNKNOWN => 'UTF8_VALIDATION_UNKNOWN',
        self::VERIFY => 'VERIFY',
        self::NONE => 'NONE',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

